package blatt3;

import java.io.IOException;

/**
 * Testklasse. Diese Klasse darf nicht veraendert werden.
 * 
 */
public final class Test {

    /**
     * Testmethode
     * 
     * @param args
     */
    public static void main(String[] args) {
        int servermessages = 100;
        int initdelay = 2;
        
        // 1. Server starten
        try {
            new DataProvider(servermessages).start();
        } catch (IOException e1) {
            e1.printStackTrace();
            System.exit(0);
        }

        // 2. Einen Moment warten
        Util.sleep(initdelay);

        // 3. Clients starten
        for (int x = 0; x < 3; x++) {
            try {
                new Thread(new DataReceiver("" + x, "localhost", 2096))
                        .start();
                Util.sleep(initdelay);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}